#ifndef _H_LIBCP_STL_MOVE
#define _H_LIBCP_STL_MOVE

#include "stl/remove_reference.hpp"

template <typename T>
constexpr remove_reference_t<T>&& move(T&& t) {
    return static_cast<remove_reference_t<T>&&>(t);
}

#endif // _H_LIBCP_STL_MOVE